Class List Method List File List

# Module: Concurrent::Promises::Future::ActorIntegration

Included in:
  Concurrent::Promises::Future
Defined in:
  lib/concurrent/edge/promises.rb

## Instance Method Summary (collapse)

- - (Future) then_ask(actor)

  Asks the actor with its value.

## Instance Method Details

### - (`Future`) then_ask(actor)

Asks the actor with its value.

Returns:

- (`Future`) —

  new future with the response form the actor

    1978
    1979
    1980

    # File 'lib/concurrent/edge/promises.rb', line 1978

    def then_ask(actor)
      self.then { |v| actor.ask(v) }.flat
    end